<div class="container" *ngIf="authService.isLogged | async">

    <ng-container *ngIf="isAdministrador">
        <mat-toolbar>
            <span> Asignar flujo a empleado </span>
            <div class="example-spacer"></div>
            <button mat-raised-button routerLink="/listarEquipo">Volver</button>

        </mat-toolbar>

        <mat-card style="margin-top: 5px;">
            <form [formGroup]="nuevoForm" (ngSubmit)="postForm(nuevoForm.value)">
                <mat-grid-list cols="4" rowHeight="80px">

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Nombre Responsable</mat-label>
                            <mat-select matInput formControlName="id_empleado_responsable" [disabled]="true">
                                <mat-option value="{{empleado.id_empleado_empresa}}"
                                    *ngFor="let empleado of dataEmpleados" [disabled]="true">
                                    {{empleado.nombres}}
                                </mat-option>
                            </mat-select>

                        </mat-form-field>
                    </mat-grid-tile>

                    <!--
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>ID Empleado Seleccionado (disabled)</mat-label>
                            <input matInput disabled autocomplete="off"  
                                value="{{ getIDEmpleadoSeleccionado() }}" readonly>

                        </mat-form-field>
                    </mat-grid-tile>
                    

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>ID JEFE(YO)</mat-label>
                            <input matInput autocomplete="off" 
                                value="{{ getMiID() }}" readonly [disabled]="true">
                        </mat-form-field>
                    </mat-grid-tile>
                    -->
                    
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Fecha Plazo</mat-label>
                            <input matInput [matDatepicker]="picker" formControlName="fecha_plazo">
                            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                            <mat-datepicker #picker></mat-datepicker>
                        </mat-form-field>
                    </mat-grid-tile>

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Flujo</mat-label>
                            <mat-select matInput formControlName="id_flujo_trabajo">
                                <mat-option value="{{flujo.id_flujo_trabajo}}" *ngFor="let flujo of flujos">
                                    {{flujo.id_flujo_trabajo}} - {{flujo.nombre_flujo_trabajo}}
                                </mat-option>
                            </mat-select>

                        </mat-form-field>
                    </mat-grid-tile>
                    
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <button mat-raised-button color="primary" type="submit" [disabled]="nuevoForm.invalid"
                            class="ancho">Aceptar</button>
                    </mat-grid-tile>

                    <mat-grid-tile [colspan]="4" [rowspan]="6">
                        <img class="imagen" src="./assets/img/add-flujoEmpleado.svg">
                    </mat-grid-tile>

                </mat-grid-list>

            </form>
        </mat-card>
    </ng-container>

</div>